/*

Copyright (c) 2003-2004, AXE, Inc.  All rights reserved.

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
"Software"), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be included
in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

*/
#ifndef __OPPD_CONF_H__
#define __OPPD_CONF_H__

#define OPPD_MAX_CONFLINE 4096
#define OPPD_MAX_PRINTERNAME 4096
#define OPPD_MAX_DEVICENAME 4096
#define OPPD_MAX_HOSTNAME 4096
#define OPPD_MAX_BIDINAME 4096

#define OPPD_CONF_MAX 100

typedef struct {
    char *printerName;
    int remote;
    char *deviceName;
    char *bidiName;
    char *comment;
} OPPD_ConfEnt;

extern int oppd_openConf(char *fileName);
extern int oppd_getConfEnt(OPPD_ConfEnt **epp);
extern void oppd_endConfEnt(void);
extern int oppd_getConfEntByName(char *fileName, char *printerName,
  OPPD_ConfEnt **epp);

#endif
